/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi;

import java.lang.reflect.InvocationHandler;

import org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator;

/**
 * 
 */
public class RmiStubContentGenerator extends
		AbstractDynamicProxyStubContentGenerator {

	/**
	 * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(java.lang.String[],
	 *      java.lang.Class)
	 */
	@Override
	protected InvocationHandler createInvocationHandler(String[] params,
			Class<?> clazz) {
		return createInvocationHandler(params[0], clazz);
	}

	/**
	 * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(java.lang.String,
	 *      java.lang.Class)
	 */
	@Override
	protected InvocationHandler createInvocationHandler(String serviceName,
			Class<?> clazz) {
		return new RmiInvocationHandler(serviceName);
	}

}
