/**
 * Author: Valerio Schiavoni <valerio.schiavoni@gmail.com>
 */
package org.objectweb.fractal.bf.connectors.rmi.asm;

import java.util.logging.Logger;

/**
 * Instances of this class loader should be obtained using
 * {@link RMIServiceClassLoaderFactory}.
 */
class RMIServiceClassLoader extends ClassLoader {
	Logger log = java.util.logging.Logger.getLogger(RMIServiceClassLoader.class
			.getCanonicalName());

	/**
	 * 
	 * @param parent
	 *            the parent class loader for this class loader.
	 */
	public RMIServiceClassLoader(ClassLoader parent) {
		super(parent);
	}

	public Class<?> defineClass(byte[] byteArray, String binaryName) {
		log.finest("Binary name for class to define : " + binaryName);
		final Class<?> definedClass = defineClass(binaryName, byteArray, 0,
				byteArray.length);
		log.finest("Defined class: " + definedClass.toString());
		return definedClass;
	}
}